{% if ansible_network_os == 'arista.eos.eos' %}
{% elif ansible_network_os == 'cisco.ios.ios' %}
{% elif ansible_network_os == 'community.network.ce' %}
display version
{%     if 'stack' in inventory_hostname %}
{%         set start = (inventory_hostname.split('stack')[1].split('-')[0]) | int %}
{%         for i in range(1, start + 1) %}
display version slot {{ i }} | begin CPLD
{%         endfor %}
{%     endif %}
display patch-information history
display startup
{%     if 'stack' in inventory_hostname %}
{%         set start = (inventory_hostname.split('stack')[1].split('-')[0]) | int %}
{%         for i in range(1, start + 1) %}
display startup slot {{ i }} | begin CPLD
{%         endfor %}
{%     endif %}
display system-software information
{%     if 'huawei_vrp' in group_names %}
{%         if 'huawei_campus' in group_names %}
{%         endif %}
{%         if 'huawei_datacenter' in group_names %}
{%         endif %}
{%     endif %}
{%     if 'huawei_yunshanos' in group_names %}
{%         if 'huawei_campus' in group_names %}
{%         endif %}
{%         if 'huawei_datacenter' in group_names %}
{%         endif %}
{%     endif %}
{% elif ansible_network_os == 'dellemc.os10.os10' %}
{#
TODO
--- anything ONIE related ---
--- bootflash ---
--- bootselector ---
--- drivers (pcie) ---
--- Open Manage Enterprise Services ---
#}
show version
{%     if 'stack' in inventory_hostname %}
{%         set start = (inventory_hostname.split('stack')[1].split('-')[0]) | int %}
{%         for i in range(1, start + 1) %}
show version {{ i }}
{%         endfor %}
{%     endif %}
show system
system "file /mnt/onie-boot/onie/vmlinuz*"
show image firmware
show boot detail
{% elif ansible_network_os == 'dellemc.os9.os9' %}
{% elif ansible_network_os == 'dellemc.os6.os6' %}
{#
TODO
--- configure loop through all interfaces of the device! ---
show interfaces advanced firmware INTERFACE
#}
show version | begin CPLD

{%     if 'stack' in inventory_hostname %}
{%         set start = (inventory_hostname.split('stack')[1].split('-')[0]) | int %}
{%         for i in range(1, start + 1) %}
show version {{ i }} | begin CPLD

{%         endfor %}
{%     endif %}
show bootvar

show application

show application file
{% elif ansible_network_os == 'community.network.aruba' %}
{% endif %}
